import os, re

os.system("latex2html -split 0 -info 0 -no_navigation -verbosity 0 -address '' doc.tex")


def htmlify(filename):
    input = open("../mml/"+filename, "rU")
    output = open("doc/"+filename+".html", "w")
    
    output.write("<html><head><title>" + filename + "</title></head><body><pre>\n")
    
    context = [ ]
    
    for line in input:
       match = re.match("\s*(def|class)\s+(\w+)", line)
       if match:
           level = match.start(1)/4
           context = context[:level]
           context.append(match.group(2))
           line = "<a name=\"" + ".".join(context) + "\">" + line + "</a>"
           
       output.write(line) #html-quote-ify
    
    output.write("</pre></body></html>")
    output.close()
    input.close()

htmlify("estimate.py")
htmlify("mixture.py")
